arrow-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Wes McKinney (JIRA)" <j...@apache.org>
Subject [jira] [Created] (ARROW-1148) [C++] Raise minimum CMake version to 3.2
Date Fri, 23 Jun 2017 21:43:01 GMT
Wes McKinney created ARROW-1148:
-----------------------------------

             Summary: [C++] Raise minimum CMake version to 3.2
                 Key: ARROW-1148
                 URL: https://issues.apache.org/jira/browse/ARROW-1148
             Project: Apache Arrow
          Issue Type: Improvement
          Components: C++
            Reporter: Wes McKinney
             Fix For: 0.5.0


This will help us eliminate a lot of cruft in the build system. It's relatively straightforward
to get a newer CMake on older Linux distributions, so I don't think this is too onerous on
users.

[~pcmoritz] do you anticipate this causing you any issues? On Ubuntu 14.04 you have to get
CMake 3.2 from a PPA, the one in mainline is very old. In newer Linuxes I believe it's new
enough. You can also obtain cmake from pip and conda



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message